=== debian/control ===
Source: ros-noetic-tesseract-geometry
Section: misc
Priority: optional
Maintainer: Levi Armstrong <Armstrong@todo.todo>
Build-Depends: debhelper (>= 9.0.0), cmake, libassimp-dev, libconsole-bridge-dev, libeigen3-dev, libgtest-dev, ros-noetic-octomap, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-common, ros-noetic-tesseract-support
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tesseract-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libconsole-bridge-dev, libeigen3-dev, ros-noetic-octomap, ros-noetic-tesseract-common
Description: The tesseract_geometry package
