## ros-noetic-tesseract-geometry 0.18.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,28 +62,41 @@
     /*/gtest/*)
 add_code_coverage_all_targets(EXCLUDE ${COVERAGE_EXCLUDE} ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
 
-add_library(${PROJECT_NAME} INTERFACE)
+add_library(
+  ${PROJECT_NAME} SHARED
+  src/geometry.cpp
+  src/utils.cpp
+  src/geometries/box.cpp
+  src/geometries/capsule.cpp
+  src/geometries/cone.cpp
+  src/geometries/convex_mesh.cpp
+  src/geometries/cylinder.cpp
+  src/geometries/mesh.cpp
+  src/geometries/octree.cpp
+  src/geometries/plane.cpp
+  src/geometries/polygon_mesh.cpp
+  src/geometries/sdf_mesh.cpp
+  src/geometries/sphere.cpp)
 target_link_libraries(
   ${PROJECT_NAME}
-  INTERFACE Eigen3::Eigen
-            tesseract::tesseract_common
-            console_bridge::console_bridge
-            octomap
-            octomath
-            ${assimp_LIBRARIES})
-target_compile_options(${PROJECT_NAME} INTERFACE ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
-target_compile_definitions(${PROJECT_NAME} INTERFACE ${TESSERACT_COMPILE_DEFINITIONS}
-                                                     ${TESSERACT_ASSIMP_USE_PBRMATERIAL})
-target_clang_tidy(${PROJECT_NAME} ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
-target_cxx_version(${PROJECT_NAME} INTERFACE VERSION ${TESSERACT_CXX_VERSION})
+  PUBLIC Eigen3::Eigen
+         tesseract::tesseract_common
+         console_bridge::console_bridge
+         octomap
+         octomath
+         ${assimp_LIBRARIES})
+target_compile_options(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
+target_compile_definitions(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_DEFINITIONS} ${TESSERACT_ASSIMP_USE_PBRMATERIAL})
+target_clang_tidy(${PROJECT_NAME} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+target_cxx_version(${PROJECT_NAME} PUBLIC VERSION ${TESSERACT_CXX_VERSION})
 target_code_coverage(
   ${PROJECT_NAME}
-  INTERFACE
+  PRIVATE
   ALL
   EXCLUDE ${COVERAGE_EXCLUDE}
   ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
-target_include_directories(${PROJECT_NAME} INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-                                                     "$<INSTALL_INTERFACE:include>")
+target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
+                                                  "$<INSTALL_INTERFACE:include>")
 target_include_directories(${PROJECT_NAME} SYSTEM INTERFACE ${assimp_INCLUDE_DIRS})
 
 configure_package(NAMESPACE tesseract TARGETS ${PROJECT_NAME})
@@ -99,9 +112,11 @@
 install(FILES "${CMAKE_CURRENT_LIST_DIR}/cmake/Findassimp.cmake" DESTINATION lib/cmake/${PROJECT_NAME})
 
 # ADD Examples
-add_subdirectory(examples)
+if(TESSERACT_ENABLE_EXAMPLES OR TESSERACT_GEOMETRY_ENABLE_EXAMPLES)
+  add_subdirectory(examples)
+endif()
 
-if(TESSERACT_ENABLE_TESTING)
+if(TESSERACT_ENABLE_TESTING OR TESSERACT_GEOMETRY_ENABLE_TESTING)
   enable_testing()
   add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
   add_subdirectory(test)
@@ -115,14 +130,15 @@
     LICENSE_FILE ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
     README_FILE ${CMAKE_CURRENT_LIST_DIR}/../README.md
     LINUX_DEPENDS
-      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
       "libassimp-dev"
       "libconsole-bridge-dev"
-      "liboctomap-dev (>= 1.9.6) | ${TESSERACT_PACKAGE_PREFIX}octomap"
+      "liboctomap-dev (>= 1.9.3) | ${TESSERACT_PACKAGE_PREFIX}octomap"
       "libeigen3-dev"
+      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
     WINDOWS_DEPENDS
-      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
       "Assimp"
+      "console_bridge"
+      "octomap | ${TESSERACT_PACKAGE_PREFIX}octomap"
       "Eigen3"
-      "console_bridge")
+      "${TESSERACT_PACKAGE_PREFIX}tesseract-common")
 endif()
