=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,7 @@
   tesseract::tesseract_support)
 target_compile_options(${PROJECT_NAME}_create_geometries_example PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                          ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
-target_clang_tidy(${PROJECT_NAME}_create_geometries_example ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
-                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+target_clang_tidy(${PROJECT_NAME}_create_geometries_example ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
 target_cxx_version(${PROJECT_NAME}_create_geometries_example PRIVATE VERSION ${TESSERACT_CXX_VERSION})
 add_dependencies(${PROJECT_NAME}_create_geometries_example ${PROJECT_NAME})
 install(TARGETS ${PROJECT_NAME}_create_geometries_example DESTINATION bin)
@@ -22,8 +21,7 @@
   tesseract::tesseract_support)
 target_compile_options(${PROJECT_NAME}_parse_mesh_example PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                   ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
-target_clang_tidy(${PROJECT_NAME}_parse_mesh_example ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
-                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+target_clang_tidy(${PROJECT_NAME}_parse_mesh_example ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
 target_cxx_version(${PROJECT_NAME}_parse_mesh_example PRIVATE VERSION ${TESSERACT_CXX_VERSION})
 add_dependencies(${PROJECT_NAME}_create_geometries_example ${PROJECT_NAME})
 install(TARGETS ${PROJECT_NAME}_parse_mesh_example DESTINATION bin)
