=== debian/changelog ===
ros-noetic-tesseract-geometry (0.18.1-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 30 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.18.0-1focal) focal; urgency=high

  * Add package cmake flags for testing, examples and benchmarks
  * Fix makeConvexMesh to pass through scale used on resource
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 29 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.17.0-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Tue, 06 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.16.3-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 04 May 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.16.2-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 28 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.16.1-1focal) focal; urgency=high

  * Fix polygon_mesh default geometry type in constructor
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Tue, 11 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.16.0-1focal) focal; urgency=high

  * Improve geometry code coverage
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Sun, 09 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.15.3-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Wed, 22 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.15.2-1focal) focal; urgency=high

  * Switch include in tesseract_collision
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Wed, 15 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.15.1-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Tue, 14 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-geometry (0.15.0-1focal) focal; urgency=high

  * Performance improvements found using callgrind (#852 <https://github.com/tesseract-robotics/tesseract/issues/852>)
  * Update all geometry types to use default tracking for serialization
  * Improve tesseract_geometry code coverage
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 03 Mar 2023 06:00:00 -0000

ros-noetic-tesseract-geometry (0.14.0-1focal) focal; urgency=high

  * Remove deprecated items
  * Fix codecov build using ros_industrial_cmake_boilerplate 0.3.1
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Sun, 23 Oct 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.13.1-1focal) focal; urgency=high

  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Contributors: John Wason

 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.13.0-1focal) focal; urgency=high

  * Update code based on clang-tidy-14
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.10.0-1focal) focal; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)

 -- Levi Armstrong <Armstrong@todo.todo>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.11-1focal) focal; urgency=high

  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Update to use find_gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.10-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.9-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.8-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.7-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.6-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 02 May 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.5-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Sun, 24 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.4-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 22 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.3-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Mon, 18 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.2-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Sun, 03 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.1-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Fri, 01 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.9.0-1focal) focal; urgency=high

  * Make ResourceLocator serializable
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 31 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.8.7-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.8.6-1focal) focal; urgency=high



 -- Levi Armstrong <Armstrong@todo.todo>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-geometry (0.8.5-1focal) focal; urgency=high

  * Add boost serialization for Environment commands and all underlying types (#726 <https://github.com/tesseract-robotics/tesseract/issues/726>)
    * Add serialization macros to tesseract_common
    * Add serialization for tesseract_geometry primatives
    * Add serialization for meshes and octree
    * Add serialization for Link and Joint
    * Add serialization for tesseract_common types

