=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Levi Armstrong <Armstrong@todo.todo>
-Build-Depends: debhelper (>= 9.0.0), cmake, libassimp-dev, libconsole-bridge-dev, libeigen3-dev, libgtest-dev, ros-noetic-octomap, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-common, ros-noetic-tesseract-support
+Build-Depends: debhelper (>= 9.0.0), cmake, libassimp-dev, libconsole-bridge-dev, libeigen3-dev, libgtest-dev <!nocheck>, ros-noetic-octomap, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-common, ros-noetic-tesseract-support <!nocheck>
 Homepage: 
 Standards-Version: 3.9.2
